# This task installs the ethernet/Ubuntu 14.04 incapatability fix for ASUS Z390 series motherboards.

---
- name: Create the src directory if it doesn't exist
  file:
    path: "/home/robot/src"
    state: directory

- name: Download e1000e drivers from Z3
  get_url:
    url: "https://z3.zooxlabs.com/syseng-artifacts/e1000e-3.8.4.tar.gz"
    dest: "/home/robot/src/e1000e-3.8.4.tar.gz"
    mode: 0400

- name: Extract the e1000e drivers
  unarchive:
    src: "/home/robot/src/e1000e-3.8.4.tar.gz"
    remote_src: yes
    dest: "/home/robot/src/"

- name: Install the e1000e drivers
  become: true
  make:
    chdir: "/home/robot/src/e1000e-3.8.4/src"
    target: install

